accrue

## Interface AccrueExtensionInfo

- All Superinterfaces:
    polyglot.frontend.ExtensionInfo
  All Known Implementing Classes:
    AccrueJL5ExtensionInfo, AccrueJLExtensionInfo

      public interface AccrueExtensionInfo
      extends polyglot.frontend.ExtensionInfo

  An ExtensionInfo that implements the needed functionality for Accrue. This is an interface rather than a class to allow language extentions that want to support Accrue analyses to extend existing ExtensionInfo classes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StmtRegistrar` | `createStmtRegistrar()` Create the StmtRegistrar that will be used to register pointer-analysis statements.
    `AnalysisSignatures` | `getAnalysisSignatures()` Return an object to handle analysis results when source code is unavailable.
    `HeapAbstractionFactory` | `heapAbstractionFactory()` Return the HeapAbstractionFactory to be used during pointer analysis.
    `boolean` | `isOutputExtensionInfo()` Is this ExtensionInfo the output extension info for some other extension? This will affect some of the behavior of some of the goals of this ExtensionInfo, notably whether this extension info will parse source files, or simply accept the AST nodes given to it (i.e., the output of the previous ExtensionInfo).
    `PointsToEngine` | `pointsToEngine()` Return the PointsToEngine to be used during pointer analysis.
    `void` | `setIsOutputExtensionInfo(boolean isOutputExtensionInfo)` Set whether this ExtensionInfo is the output extension info for some other extension.

    - ### Methods inherited from interface polyglot.frontend.ExtensionInfo

      `classFileLoader, cleanup, compiler, compilerName, configureFileManagerForPostCompiler, createClassFile, createFileSource, createFileSource, defaultFileExtension, defaultFileExtensions, defaultLocations, extFileManager, fileExtensions, getCompileGoal, getOptions, getStats, getToExt, initCompiler, jobExt, nodeFactory, outputExtensionInfo, parser, scheduler, sourceLoader, targetFactory, typeSystem, version`

- - ### Method Detail

    - #### createStmtRegistrar

          StmtRegistrar createStmtRegistrar()

      Create the StmtRegistrar that will be used to register pointer-analysis statements.

    - #### heapAbstractionFactory

          HeapAbstractionFactory heapAbstractionFactory()

      Return the HeapAbstractionFactory to be used during pointer analysis.

    - #### pointsToEngine

          PointsToEngine pointsToEngine()

      Return the PointsToEngine to be used during pointer analysis.

    - #### getAnalysisSignatures

          AnalysisSignatures getAnalysisSignatures()

      Return an object to handle analysis results when source code is unavailable.

    - #### isOutputExtensionInfo

          boolean isOutputExtensionInfo()

      Is this ExtensionInfo the output extension info for some other extension? This will affect some of the behavior of some of the goals of this ExtensionInfo, notably whether this extension info will parse source files, or simply accept the AST nodes given to it (i.e., the output of the previous ExtensionInfo).

    - #### setIsOutputExtensionInfo

          void setIsOutputExtensionInfo(boolean isOutputExtensionInfo)

      Set whether this ExtensionInfo is the output extension info for some other extension.